
QGIS Application - Bug report #14854

'Save Edits' discards unconfirmed values in attribute table

2016-05-22 02:40 AM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22807

Description

Clicking on 'Save Edits'(Crtl+S) in the attribute table discards unconfirmed values, while clicking on 'Toggle editing mode' saves all

changes.

History

#1 - 2016-05-22 02:40 AM - R. R.

- File 14854_1.mp4 added

- File 14854_2.mp4 added

#2 - 2016-05-22 03:46 AM - Giovanni Manghi

- Status changed from Open to Feedback

is this behavior different from previous qgis releases? thanks.

#3 - 2016-05-22 02:49 PM - R. R.

QGIS 2.14.2 shows the same behaviour.

#4 - 2016-06-23 12:10 AM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2018-03-05 08:31 AM - Luca Lanteri

On 3.1 seems to work fine.

#7 - 2018-03-06 11:53 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Files

14854_1.mp4 109 KB 2016-05-22 R. R.

2025-05-19 1/2



14854_2.mp4 166 KB 2016-05-22 R. R.
